C******************** START FILE UERMSF.FOR ; GROUP URDUTS ******************
C
C& UERMSF UREAD ERROR MESSAGE WITH FLOATING PT VALUE ECHO
      SUBROUTINE UERMSF(MSG,FNUM,ICOD)
C
      CHARACTER*(*) MSG
      CHARACTER*15 FBUF
C
      WRITE(FBUF,1001,ERR=10) FNUM
 1001 FORMAT(1PE15.8)
      GO TO 20
C
 10   CONTINUE
      FBUF='**.GT.E15******'
C
 20   CALL UERMSG(MSG,FBUF,ICOD)
      RETURN
      END
C******************** END FILE UERMSF.FOR ; GROUP URDUTS ******************
